Name:		kchmviewer
Version:	6.0
Release:	%mkrel 2
Summary:	KDE chm viewer
License:	GPLv2+
URL:		http://kchmviewer.sourceforge.net/
Group:		Graphical desktop/KDE
Source:		http://downloads.sourceforge.net/kchmviewer/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	kdelibs4-devel
BuildRequires:	chmlib-devel
BuildRequires:	imagemagick
Requires:	okular

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library, and does not depend on KDE or Gnome. However, 
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support. 
Unlike others, KchmViewer in most cases correctly detects help file encoding, 
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files 
(search for MBCS languages - ja/ko/ch is still in progress).

%files -f %{name}.lang
%{_kde_bindir}/kchmviewer
%{_kde_datadir}/applications/kde4/kchmviewer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

rm -f %buildroot%{_kde_libdir}/kde4/kio_msits.so %buildroot%{_kde_datadir}/kde4/services/msits.protocol
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install -m644 packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

for i in 16x16 32x32 48x48 64x64; do
    convert -scale $i packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

%find_lang %{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 6.0-2.mga3
+ Revision: 355892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 26 2011 fwang <fwang> 6.0-1.mga2
+ Revision: 187800
- new version 6.0

  + ahmad <ahmad>
    - Install more icons
    - Add a patch to make KHTMLPART used/selected by default

* Tue Jun 28 2011 fwang <fwang> 5.3-1.mga2
+ Revision: 115084
- new version 5.3

* Tue Jun 07 2011 ahmad <ahmad> 5.2-2.mga2
+ Revision: 101640
- Drop old/unneeded scriptlets
- imported package kchmviewer

